Package org.springframework.beans.factory

# Interface NamedBean

All Known Implementing Classes:
  `NamedBeanHolder`

public interface NamedBean
Counterpart of `BeanNameAware`. Returns the bean name of an object.

This interface can be introduced to avoid a brittle dependence on bean name in objects used with Spring IoC and Spring AOP.

Since:
  2.0
Author:
  Rod Johnson
See Also:
  - `BeanNameAware`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBeanName()`
Return the name of this bean in a Spring bean factory, if known.

## Method Details

### getBeanName

String getBeanName()
Return the name of this bean in a Spring bean factory, if known.